Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #892

Follow symlinks when adding directory
June 10, 2019 15:32 - Anonymous

Status: Closed Start date: June 10, 2019
Priority: Minor Due date:

Assignee: % Done: 100%
Category: libaudcore Estimated time: 0.00 hour
Target version: 41

Affects version: 3.10.1

Description

| started using git-annex for managing my music collection, which uses symlinks.

When | add a single file to audacious (audacious artist/alboum/file.flac), it opens the file flawlessly, but when | try to add a directory
(audacious artist/album) it fails (“No files found.”).

Steps to reproduce:

e mkdir -p tmp/subdir

e cdtmp

e Copy an audio file in this directory and name it file.flac

e audacious . — replaces audacious queue with that file

¢ In -s ../ffile.flac subdir (create symlink to file.flac in subdirectory)
e audacious subdir/file.flac — also works

e audacious subdir — fails with (“No files found.”)

My audacious version: 3.10.1 (debian buster)

History

#1 - June 11, 2019 14:12 - Michael Schwendt

Your steps are odd and confusing. If you copy file.flac into subdir, in which directory do you run the In command?

Anyway, for sake of reproducibility, show full "Is -IR" output from the top directory and run audacious with option -V for verbose output. What do you
get then for your testcase?

#2 - June 11, 2019 15:38 - Anonymous

- File audacious.log added

Sorry, | may have been unclear: | created the temporary directory and subdirectory in one shot with mkdir -p to save one step (but only cd’ed into tmp.
| copied file.flac in the tmp directory (the current working directory).

Is -IR:

total 4684
—-rw-r——-r—— 1 simon simon 4790753 Jun 11 15:30 file.flac
drwxr-xr—-x 2 simon simon 4096 Jun 11 15:30 subdir

./subdir:
total O
lrwxrwxrwx 1 simon simon 12 Jun 11 15:30 file.flac -> ../file.flac

| attached the output of audacious -V subdir
#3 - June 12, 2019 16:40 - John Lindgren

This is currently the expected behavior. Adding a directory adds only regular files (and no playlist files), to guard against infinite recursion.

We could probably relax the rule and allow adding symlinks to regular files (but still no symlinks to directories).

#4 - June 12, 2019 17:20 - Anonymous

That would be helpful, git-annex only creates symlinks for files and not for directories.

#5 - August 15, 2019 04:26 - John Lindgren
- Subject changed from Does not follow symlinks when adding directory to Follow symlinks when adding directory

- Tracker changed from Bug to Feature

#6 - October 28, 2019 18:57 - John Lindgren
- Target version deleted (3.10.1)

#7 - February 29, 2020 23:49 - Heikki Levanto
Hi,
This "feature” just hit me too. | was messing about a script to produce shuffled playlists that keep some tracks together, and decided to use symlinks

for that. The script works fine, but Audacious will not open the files, since they are symlinks. | would appreciate if you relaxed the check to allow
symlinks to regular files to be opened.

Using version 3.10.1-1 on Debian/Buster.

#8 - March 01, 2020 09:26 - Heikki Levanto

P.S. It is mildly confusing that the file open dialog follows symlinks fine, and | can open a track that is a symlink to a file elsewhere. The only place
where symlinks fail to open is when | open a directory that contains a symlink.

#9 - December 05, 2020 17:51 - John Lindgren
- % Done changed from 0 to 100
- Status changed from New to Closed

- Category set to libaudcore

Implemented for 4.1:
https://github.com/audacious-media-player/audacious/commit/571f141df41223d29¢c882c7a42611d331¢622418

#10 - December 21, 2020 20:54 - Thomas Lange

- Target version set to 4.1
